package com.qmth.teachcloud.mark.bean.scananswer;

import java.util.List;

import com.qmth.teachcloud.common.enums.ScanStatus;
import com.qmth.teachcloud.mark.enums.ExamStatus;

public class AnswerQueryVo {

	private Long id;

	private String studentCode;

	private String studentName;

	private String courseCode;

	private String courseName;

	private String coursePaperNumber;
	private String coursePaperId;
	private String packageCode;

	private String examPlace;

	private String examRoom;

	private String siteNumber;
	private ExamStatus examStatus;
	private ScanStatus status;

	private Boolean markFinished;

	private Boolean absentSuspect;

	private Boolean omrAbsent;
	private Boolean omrAbsentChecked;

	private Boolean assigned;

	private Boolean invalid;

	private Boolean incomplete;

	private Integer cardNumber;

	private String updator;

	private Long updateTime;
	
	private Integer cardPaperCount;
    private Boolean isAbsent;

	private List<AnswerPaperVo> papers;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public String getCoursePaperNumber() {
		return coursePaperNumber;
	}

	public void setCoursePaperNumber(String coursePaperNumber) {
		this.coursePaperNumber = coursePaperNumber;
	}

	public String getCoursePaperId() {
		return coursePaperId;
	}

	public void setCoursePaperId(String coursePaperId) {
		this.coursePaperId = coursePaperId;
	}

	public String getPackageCode() {
		return packageCode;
	}

	public void setPackageCode(String packageCode) {
		this.packageCode = packageCode;
	}

	public String getExamPlace() {
		return examPlace;
	}

	public void setExamPlace(String examPlace) {
		this.examPlace = examPlace;
	}

	public String getExamRoom() {
		return examRoom;
	}

	public void setExamRoom(String examRoom) {
		this.examRoom = examRoom;
	}

	public String getSiteNumber() {
		return siteNumber;
	}

	public void setSiteNumber(String siteNumber) {
		this.siteNumber = siteNumber;
	}

	public ScanStatus getStatus() {
		return status;
	}

	public void setStatus(ScanStatus status) {
		this.status = status;
	}

	public Boolean getMarkFinished() {
		return markFinished;
	}

	public void setMarkFinished(Boolean markFinished) {
		this.markFinished = markFinished;
	}

	public Boolean getAbsentSuspect() {
		return absentSuspect;
	}

	public void setAbsentSuspect(Boolean absentSuspect) {
		this.absentSuspect = absentSuspect;
	}

	public Boolean getOmrAbsent() {
		return omrAbsent;
	}

	public void setOmrAbsent(Boolean omrAbsent) {
		this.omrAbsent = omrAbsent;
	}

	public Boolean getOmrAbsentChecked() {
		return omrAbsentChecked;
	}

	public void setOmrAbsentChecked(Boolean omrAbsentChecked) {
		this.omrAbsentChecked = omrAbsentChecked;
	}

	public Boolean getAssigned() {
		return assigned;
	}

	public void setAssigned(Boolean assigned) {
		this.assigned = assigned;
	}

	public Boolean getIncomplete() {
		return incomplete;
	}

	public void setIncomplete(Boolean incomplete) {
		this.incomplete = incomplete;
	}

	public Integer getCardNumber() {
		return cardNumber;
	}

	public void setCardNumber(Integer cardNumber) {
		this.cardNumber = cardNumber;
	}

	public String getUpdator() {
		return updator;
	}

	public void setUpdator(String updator) {
		this.updator = updator;
	}

	public Long getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Long updateTime) {
		this.updateTime = updateTime;
	}

	public List<AnswerPaperVo> getPapers() {
		return papers;
	}

	public void setPapers(List<AnswerPaperVo> papers) {
		this.papers = papers;
	}

	public ExamStatus getExamStatus() {
		return examStatus;
	}

	public void setExamStatus(ExamStatus examStatus) {
		this.examStatus = examStatus;
	}

	public Integer getCardPaperCount() {
		return cardPaperCount;
	}

	public void setCardPaperCount(Integer cardPaperCount) {
		this.cardPaperCount = cardPaperCount;
	}

	public Boolean getIsAbsent() {
		return isAbsent;
	}

	public void setIsAbsent(Boolean isAbsent) {
		this.isAbsent = isAbsent;
	}

	public Boolean getInvalid() {
		return invalid;
	}

	public void setInvalid(Boolean invalid) {
		this.invalid = invalid;
	}
}
